# ntfy

> Send push notifications to your phone or desktop using PUT/POST

<!-- metadata -->

* **Category**: Apps
* **Status**: 0
* **Image**: [`ntfy`](https://hub.docker.com/r/binwiederhier/ntfy), 4, upstream
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: No
* **SSO**: No

<!-- endmetadata -->

## Quick start

* `abra app new ntfy --secrets`
* `abra app config ntfy.example.coop`
* `abra app deploy ntfy.example.coop`

For more, see [`docs.coopcloud.tech`](https://docs.coopcloud.tech).

## User and access control

Follow the [ntfy
documentation](https://docs.ntfy.sh/config/#access-control) but prepend
any command with `abra`, for instance:

```sh
# if the doc says
ntfy user list
# you run
abra app run ntfy.example.coop app ntfy user list
```

## Webpush

To get notifications on browsers with the ntfy tab closed, generate the
webpush keys:

```sh
ntfy webpush keys
```

Or if you don't have the `ntfy` cli locally, after first deploy,
generate keys with:

```sh
abra app run ntfy.example.coop app ntfy webpush keys
```

Insert the secret:

```sh
abra app secret insert ntfy.example.coop webpush_private_key v1 "generated private key"
```

And uncomment the webpush env vars on config, adding the public key
there, and set a sender too:

```sh
abra app config ntfy.example.coop
```

It should look like this:

```sh
SMTP_SENDER_FROM=ntfy@example.coop
WEBPUSH_ENABLED=1
COMPOSE_FILE="$COMPOSE_FILE:compose.webpush.yml"
WEBPUSH_PUBLIC_KEY=set public key here
SECRET_WEBPUSH_PRIVATE_KEY_VERSION=v1
```
